de.dhbwstuttgart.syntaxtree.misc

## Class UsedId

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.misc.UsedId

All Implemented Interfaces:
  IItemWithOffset

    public class UsedId
    extends java.lang.Object
    implements IItemWithOffset

### Field Summary

Fields
`private int` `m_Offset`
`Menge<java.lang.String>` `name`
`private Menge<Type>` `paralist`
`private Menge` `typen`
`Menge<Type>` `vParaOrg`

### Constructor Summary

Constructors
Constructor and Description
`UsedId(int offset)`
`UsedId(java.lang.String name, int offset)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static UsedId` `createFromQualifiedName(java.lang.String qualifiedName, int offset)`
`java.lang.String` `get_codegen_UsedId()`
`java.lang.String` `get_Name_1Element()`
`Menge` `get_Name()`
`Menge<Type>` `get_ParaList()`
`Menge<Type>` `get_RealParaList()`
`Menge` `get_Typen()`
`Menge<Type>` `get_vParaOrg()`
`int` `getOffset()`
`UsedId` `getPackageName()`
`JavaClassName` `getQualifiedName()`
`java.lang.String` `getSimpleName()`
`int` `getVariableLength()`
`boolean` `hasWildCard()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `removeLast()`
`void` `set_Name(java.lang.String name)`
`void` `set_ParaList(Menge<Type> pl)`
`void` `set_Typen(Menge t)`
`void` `setOffset(int Offset)`
`java.lang.String` `toString()` Author: Martin PlÃ¯Â¿Â½micke

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public Menge<java.lang.String> name

#### typen

    private Menge typen

#### paralist

    private Menge<Type> paralist

#### vParaOrg

    public Menge<Type> vParaOrg

#### m_Offset

    private int m_Offset

### Constructor Detail

#### UsedId

    public UsedId(int offset)

#### UsedId

    public UsedId(java.lang.String name,
                  int offset)

### Method Detail

#### getOffset

    public int getOffset()

Specified by:
  `getOffset` in interface `IItemWithOffset`

#### getVariableLength

    public int getVariableLength()

Specified by:
  `getVariableLength` in interface `IItemWithOffset`

#### setOffset

    public void setOffset(int Offset)

#### set_Name

    public void set_Name(java.lang.String name)

#### get_Name

    public Menge get_Name()

#### get_Name_1Element

    public java.lang.String get_Name_1Element()

#### set_Typen

    public void set_Typen(Menge t)

#### set_ParaList

    public void set_ParaList(Menge<Type> pl)

#### get_RealParaList

    public Menge<Type> get_RealParaList()

#### get_ParaList

    public Menge<Type> get_ParaList()

#### get_vParaOrg

    public Menge<Type> get_vParaOrg()

#### get_Typen

    public Menge get_Typen()

#### get_codegen_UsedId

    public java.lang.String get_codegen_UsedId()

#### removeLast

    public void removeLast()

#### toString

    public java.lang.String toString()

Author: Martin PlÃ¯Â¿Â½micke

Overrides:
  `toString` in class `java.lang.Object`
Returns:

#### getQualifiedName

    public JavaClassName getQualifiedName()

#### createFromQualifiedName

    public static UsedId createFromQualifiedName(java.lang.String qualifiedName,
                                                 int offset)

#### hasWildCard

    public boolean hasWildCard()

#### getPackageName

    public UsedId getPackageName()

#### getSimpleName

    public java.lang.String getSimpleName()

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)